Bug 147330 - system-config-printer TUI always crashes when changing driver settings
system-config-printer TUI always crashes when changing driver settings
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-printer (Show other bugs)
3.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-02-07 07:32 EST by Petr Baudis
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHEA-2006-0073
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 10:30:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Baudis 2005-02-07 07:32:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
The TUI version always (100% reproducibility) crashes with a traceback
when I change the printer's driver settings. Apparently I can't change
the printer driver neither (assigning it for the first time works).
The changes made are not applied.

Version-Release number of selected component (if applicable):
system-config-printer-0.6.116.1.1-1

How reproducible:
Always

Steps to Reproduce:
1. start the TUI
2. add some printer
3. change anything in printer's driver settings
4. press [Done]
    

Actual Results:  Immediatelly crashes with a backtrace.

Expected Results:  It shouldn't crash but apply the settings instead. ;-)

Additional info:

Traceback (most recent call last):
  File "/usr/sbin/system-config-printer", line 12, in ?
    printconf_tui.startup_and_find_cmd()
  File "/usr/share/printconf/util/printconf_tui.py", line 2413, in
startup_and_find_cmd
    main.cmd_handlers[cmd]()
  File "/usr/share/printconf/util/printconf_tui.py", line 1993, in
tui_main_run
    qld_run()
  File "/usr/share/printconf/util/printconf_tui.py", line 1844, in qld_run
    qld_build()
  File "/usr/share/printconf/util/printconf_tui.py", line 1960, in
qld_build
    qld.queue_list_box.setCurrent(qld.selected_queue_name)
  File "/usr/lib/python2.3/site-packages/snack.py", line 688, in
setCurrent
    self.listbox.setCurrent(item)
  File "/usr/lib/python2.3/site-packages/snack.py", line 100, in
setCurrent
    self.w.listboxSetCurrent(self.item2key[item])
KeyError: '_chrlic-1s'

(chrlic-1s is name of the printer)
Comment 1 Petr Baudis 2005-02-07 07:35:26 EST
I forgot to add that it apparently works fine with the GUI version.
Comment 2 Tim Waugh 2005-02-08 05:46:24 EST
Please try this test update:

  https://www.redhat.com/archives/fedora-test-list/2005-February/msg00201.html

Does it fix the problem for you?
Comment 3 Petr Baudis 2005-02-08 07:51:26 EST
Thanks, that fixes it!
Comment 4 Tim Waugh 2005-02-08 07:56:37 EST
Great, thanks for testing.  There's one more place that it seems to happen, I
now discovered: when you cancel a change.  I've fixed it in CVS.
Comment 5 Tim Waugh 2005-02-28 05:54:00 EST
Fixed system-config-printer built in rawhide.
Comment 17 Red Hat Bugzilla 2006-03-15 10:30:16 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2006-0073.html

Note You need to log in before you can comment on or make changes to this bug.